
Core - Task # 52881

Status: Closed Priority: Should have
Author: Jigal van Hemert Category: DBAL
Created: 2013-10-16 Assigned To:
Updated: 2014-01-22 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Sprint Focus:
Subject: Move to mysqli for 'native' handler type
Description

PHP has deprecated the mysql module. The core already uses mysqli, so DBAL should move to mysqli for the 'native' handler as
well.

Related issues:
duplicates Core - Bug # 50752: DBAL needs migration MySQL to MySQLi as well Resolved 2013-08-03

History
#1 - 2013-10-16 12:39 - Wouter Wolters

See a WIP here https://review.typo3.org/#/c/22791/

#2 - 2013-12-08 11:39 - Michael Stucki
- Category deleted (MySQL)

#3 - 2013-12-08 11:42 - Michael Stucki
- Project changed from DBAL to Core

#4 - 2013-12-08 11:44 - Michael Stucki
- Category set to DBAL

#5 - 2014-01-22 11:58 - Alexander Opitz
- Status changed from New to Closed

Close as duplicate of #50752
